%define shortname redhat-ds
%define pkgname   dirsrv

Summary:          Red Hat Administration Server (admin)
Name:             redhat-ds-admin
Version:          8.0.0
Release:          6%{?dist}
License:          GPLv2
URL:              http://www.redhat.com/directory_server
Group:            System Environment/Daemons
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    nspr-devel >= 4.6.4
BuildRequires:    nss-devel >= 3.11.4
BuildRequires:    svrcore-devel >= 4.0.3
BuildRequires:    mozldap-devel >= 6.0.4
BuildRequires:    cyrus-sasl-devel >= 2.1.19
BuildRequires:    icu >= 3.4
BuildRequires:    libicu-devel >= 3.4
BuildRequires:    httpd-devel
BuildRequires:    apr-devel
BuildRequires:    mod_nss
BuildRequires:    adminutil-devel

Requires:         redhat-ds-base
Requires:         mod_nss
# the following are needed for some of our scripts
Requires:         perl-Mozilla-LDAP
Requires:         nss-tools >= 3.11.4

# for the init script
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

Source0:          %{name}-%{version}.tar.bz2
# redhat-ds-cvs.sh should be used to generate the source tarball from CVS
Source1:          %{name}-cvs.sh
Patch0:           admserv.conf.in.patch
Patch1:           repl-monitor-cgi.pl.in.patch

%description
Red Hat Administration Server is an HTTP agent that provides management features
for Red Hat Directory Server.  It provides some management web apps that can
be used through a web browser.  It provides the authentication, access control,
and CGI utilities used by the console.

%prep
%setup -q -n %{name}-%{version}
%patch0
%patch1

%build
%configure --disable-rpath

# Generate symbolic info for debuggers
export XCFLAGS=$RPM_OPT_FLAGS

%ifarch x86_64 ppc64 ia64 s390x sparc64
export USE_64=1
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT 

make DESTDIR="$RPM_BUILD_ROOT" install

# make console jars directory
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java

#remove libtool and static libs
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.so
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/%{pkgname}/modules/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/%{pkgname}/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{pkgname}-admin
/sbin/ldconfig


%preun
if [ $1 = 0 ]; then
        /sbin/service %{pkgname}-admin stop >/dev/null 2>&1 || :
        /sbin/chkconfig --del %{pkgname}-admin
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_sysconfdir}/%{pkgname}/admin-serv
%config(noreplace)%{_sysconfdir}/%{pkgname}/admin-serv/*.conf
%{_datadir}/%{pkgname}
%{_initrddir}/%{pkgname}-admin
%{_sysconfdir}/sysconfig/%{pkgname}-admin
%{_sbindir}/*
%{_libdir}/*.so.*
%{_libdir}/%{pkgname}

%changelog
* Fri Mar 14 2008 Rich Megginson <rmeggins@redhat.com> - 8.0.0-6
- forgot to add the patch commands for bug 437320 bug 437301 to the rhel4 spec file

* Thu Mar 13 2008 Rich Megginson <rmeggins@redhat.com> - 8.0.0-5
- Resolves: bug 437320
- added admserv.conf.patch
- disallow direct access to /bin/admin/admin/bin/
- Resolves: bug 437301
- added repl-monitor-cgi.pl.patch
- None of the CGI params are used anymore, except the refreshinterval,
- which is passed to int() first to strip all non numerics.  The
- repl monitor config file is now hard coded to be
- /etc/dirsrv/admin-serv/replmon.conf - this file must be present and
- configured correctly in order for the repl mon cgi to work

* Tue Dec 18 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-4
- fixes GA stopper Bug 426056: Unable to connect to admin express via SSL - firefox cipher issues?
- new RHDS 8.0.0 GA candidate

* Mon Dec 17 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-3
- fixes GA stopper bugs 425861: Instance creation through console is broken
- and 425849: migrate-ds-admin.pl spins at 100% cpu
- new GA candidate

* Tue Dec 10 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-2
- this is the GA candidate

* Tue Dec 10 2007 Noriko Hosoi <nhosoi@redhat.com> - 8.0.0-1.16
- fix several ga blocker issues
- add dependency on nss-tools

* Tue Nov  6 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.15
- fix several beta blocker issues

* Thu Oct 11 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.14
- make admin server work with SELinux enabled
- fix wording errors in setup

* Mon Oct  8 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.13
- added /etc/sysconfig/dirsrv-admin the file that allows you to set
- the environment used to start up the admin server (e.g. keytab, ulimit, etc.)
- the initscript and admin start script use this file now
- This version also has a fix to print the correct error message if the admin
- server cannot be contacted during setup or migration.

* Thu Sep 27 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.12
- fix a couple of migration issues, including the rpath $libdir problem
- allow ds_remove from console to remove instances

* Wed Sep 19 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.11
- one line fix to fix of 295001 - console.conf clobbered

* Tue Sep 18 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.10
- fixed migration issue bugzilla 295001 - console.conf clobbered

* Fri Sep 14 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.9.el5dsrv
- several more migration fixes

* Fri Sep 14 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.8.el5dsrv
- fix migration - migration will now start servers

* Tue Aug 21 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.7.el5dsrv
- fix with-fhs-opt configure option

* Fri Aug 17 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.6.el5dsrv
- remove curses
- make mod_admserv link against sasl
- add the usual .m4 files to mod_admserv instead of having all of
- the component logic in configure.in

* Thu Aug 16 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.5.el5dsrv
- incorporate Noriko's migration fix

* Wed Aug 15 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.4.el5dsrv
- fix several migration related problems

* Mon Aug 13 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.3.el5dsrv
- There is no devel package, so remove unused .so files

* Mon Aug 13 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.2.el5dsrv
- forgot to tag modules

* Fri Aug 10 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.1.el5dsrv
- use pkgname of dirsrv for filesystem path naming
- get rid of devel package
- simplify files section

* Fri Aug 10 2007 Noriko Hosoi <nhosoi@redhat.com> -8.0.0-0.4.el5dsrv
- updated to latest sources
- upgraded the mozldap version to 6.0.4

* Wed Aug  8 2007 Noriko Hosoi <nhosoi@redhat.com> -8.0.0-0.3.el5dsrv
- removed cvsdate; set release to 3 to avoid the conflict

* Wed Aug  8 2007 Noriko Hosoi <nhosoi@redhat.com> -8.0.0-0.2.el5dsrv
- update to latest sources

* Mon Aug  6 2007 Rich Megginson <rmeggins@redhat.com> -8.0.0-0.1.el5dsrv
- update to latest sources

* Thu Aug  2 2007 Rich Megginson <rmeggins@redhat.com> -8.0.0-0.2.el5dsrv
- use correctly versioned source

* Thu Aug  2 2007 Rich Megginson <rmeggins@redhat.com> -8.0.0-0.1.el5dsrv
- version should be 8.0.0

* Thu Aug  2 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.0-0.6.el5dsrv
- There are no files in bindir anymore
- forgot to prepend build root to java dir creation
- forgot to add mod_admserv and mod_restartd to source

* Thu Aug  2 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.0-0.5.el5dsrv
- updated to latest sources - fix build breakage
- add console jars dir under html

* Thu Jul 26 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.0-0.4.el5dsrv
- Only use --with-fortitude on rhel4

* Wed Jul 25 2007 Margaret Lum <mlum@redhat.com> - 1.1.0-0.3.el5dsrv
- Replace fortitude-mod_nss with plain 'ol mod_nss, mozldap6 -> mozldap

* Wed Jul 25 2007 Margaret Lum <mlum@redhat.com> - 1.1.0-0.2.el5dsrv
- Remove dirsec references

* Wed Jul 25 2007 Margaret Lum <mlum@redhat.com> - 1.1.0-0.1.el5dsrv
- Remove cvsdate from Release number

* Wed Jul 25 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.0-0.1.20070725
- Initial version based on fedora-ds-admin.spec
